<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<title>The tgwf2GridWorkflowDL stylesheet</title>
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<link href="http://purl.org/dc/elements/1.1/" rel="schema.DC" />
<meta content="Martin Haase / DAASI International" name="DC.creator" />
<meta content="2009-07-22T16:29:08.37" name="DC.date" />
<link rel="stylesheet" href="../help.css" charset="utf-8"
	type="text/css" />
</head>

<body>
<h1 id="toc0">The tgwf2GridWorkflowDL stylesheet</h1>
<P>We do not list the stylesheet <I>verbatim</I> here, however, the
interested reader can find it in the TextGrid source code repository.
Instead, we give a short summary of what the stylesheet does.</P>
<OL>
	<LI><P>Insert the header and footer a correct GridWorkflowDL
	document needs</P></LI>
	<LI><P>Format a place called “batchinput” with as many tokens as
	URIs were given in the <I>tgwf</I> document</P></LI>
	<LI><P>For each entry in the <FONT FACE="Courier 10 Pitch"><FONT SIZE="3">&lt;inputconstants&gt;
	</FONT></FONT>section, format a place holding a single token with
	its contents. The place will be a read-only place, i.e. its tokens
	will not be consumed</P></LI>
	<LI><P>Format a number of default places every workflow has, e.g.
	for the CRUD's SessionID and LogParameter, input places for the
	StreamingEditor, and result places</P></LI>
	<LI><P>Format the places between the services proper, e.g. for each
	<FONT FACE="Courier 10 Pitch"><FONT SIZE="3">&lt;link&gt;</FONT></FONT></P></LI>
	<LI><P>Format a CRUDread transition: this will consume the URI and
	return data (to be handed over to the services proper) and metadata
	(to be given to the StreamingEditor).</P></LI>
	<LI><P>Format a transition for every service given under
	<FONT FACE="Courier 10 Pitch"><FONT SIZE="3">&lt;activities&gt;</FONT></FONT></P></LI>
	<LI><P>Format a transition for the StreamingEditor. The SE is used
	to create the metadata of the new TextGridObjects. It takes as input
	the old metadata and an XSLT stylesheet with rules.</P></LI>
	<LI><P>Format a CRUDcreate transition. It will take as input the
	processed (text) data and the new metadata and will return the real
	metadata of the new TextGridObjects (i.e. with real URIs).</P></LI>
</OL>
<P>To get a better understanding of the resulting GridWorkflowDL
document, we show the same graph from figure 2 in the <a href="monitoring.html">Monitoring section</a> , but now annotated
with the meanings of the various places and control flow in figure
3 below.</P>
<P><IMG SRC="petri-mitpfeilen.png" NAME="Grafik6" ALIGN="BOTTOM" WIDTH="100%" BORDER="0"/></P>
<P>Figure 3: visualization of data flow in the workflow graph</P>

</body>
</html>